Subject: 28.2; iCalendar: icalendar-export-region and icalendar-export-file do not like YYYY-MM-DD HH:MM formats that Diary accepts

From: "Nathan R. DeGruchy" <[email-masked]>
Date: Fri, 1 Sep 2023 14:48:57 +0000

I have the following entry in my diary file:

2023-09-01 16:30: [GND] Tennis

When I try to export this using `icalendar-export-region` it fails with
the following in the "*icalendar errors*" buffer.

Error in line 0 -- (error Could not parse date): ‘2023-09-01 16:30:
[GND] Tennis’

I can also try to export *all* entries in the diary file via
`icalendar-export-file`, providing the diary file at the first prompt
and a test file to export the data to.

It seems that I get repeating items, like 'Monday 17:00: Gym' or special
cyclic entries like '%%(diary-cyclic 14 2023 08 31) foo'.

I've tried this in my configured emacs, *and* in `emacs -Q`. I'm not
sure what kind of date that the icalendar functions are looking for, but
it doesn't seem like it respects the entries that Diary understands
(which is a signifigant number, it seems).

Thanks!

In GNU Emacs 28.2 (build 2, x86_64-pc-linux-gnu)
 of 2023-05-13, modified by Debian built on x86-ubc-01
System Description: Debian GNU/Linux 12 (bookworm)

Configured using:
 'configure --build x86_64-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/libexec
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-libsystemd --with-pop=yes
 --enable-locallisppath=/etc/emacs:/usr/local/share/emacs/28.2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/28.2/site-lisp:/usr/share/emacs/site-lisp
 --with-sound=alsa --without-gconf --with-mailutils
 --with-native-compilation --build x86_64-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/libexec
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-libsystemd --with-pop=yes
 --enable-locallisppath=/etc/emacs:/usr/local/share/emacs/28.2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/28.2/site-lisp:/usr/share/emacs/site-lisp
 --with-sound=alsa --without-gconf --with-mailutils
 --with-native-compilation --with-x=no --without-gsettings 'CFLAGS=-g
 -O2 -ffile-prefix-map=/build/emacs-mPr7Vr/emacs-28.2+1=.
 -fstack-protector-strong -Wformat -Werror=format-security -Wall'
 'CPPFLAGS=-Wdate-time -D_FORTIFY_SOURCE=2' LDFLAGS=-Wl,-z,relro'

Configured features:
ACL DBUS GMP GNUTLS GPM JSON LCMS2 LIBSELINUX LIBSYSTEMD LIBXML2 MODULES
NATIVE_COMP NOTIFY INOTIFY PDUMPER SECCOMP SOUND THREADS XIM ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: rcirc

Minor modes in effect:
  shell-dirtrack-mode: t
  xterm-mouse-mode: t
  rcirc-track-minor-mode: t
  rcirc-omit-mode: t
  xclip-mode: t
  notmuch-indicator-mode: t
  TeX-PDF-mode: t
  emms-playing-time-mode: t
  emms-mode-line-mode: t
  mouse-wheel-mode: t
  global-company-mode: t
  company-mode: t
  windmove-mode: t
  savehist-mode: t
  flyspell-mode: t
  delete-selection-mode: t
  repeat-mode: t
  recentf-mode: t
  auto-insert-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  use-hard-newlines: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Load-path shadows:
/home/nathan/.config/emacs/site-lisp.d/web-mode hides /home/nathan/.config/emacs/elpa/web-mode-17.3.9/web-mode
/usr/share/emacs/site-lisp/elpa/notmuch-0.37/notmuch-print hides /usr/share/emacs/site-lisp/elpa-src/notmuch-0.37/notmuch-print
/usr/share/emacs/site-lisp/elpa/notmuch-0.37/notmuch-version hides /usr/share/emacs/site-lisp/elpa-src/notmuch-0.37/notmuch-version
/usr/share/emacs/site-lisp/elpa/notmuch-0.37/notmuch-wash hides /usr/share/emacs/site-lisp/elpa-src/notmuch-0.37/notmuch-wash
/usr/share/emacs/site-lisp/elpa/notmuch-0.37/notmuch-maildir-fcc hides /usr/share/emacs/site-lisp/elpa-src/notmuch-0.37/notmuch-maildir-fcc
/usr/share/emacs/site-lisp/elpa/notmuch-0.37/notmuch-company hides /usr/share/emacs/site-lisp/elpa-src/notmuch-0.37/notmuch-company
/usr/share/emacs/site-lisp/elpa/notmuch-0.37/notmuch-lib hides /usr/share/emacs/site-lisp/elpa-src/notmuch-0.37/notmuch-lib
/usr/share/emacs/site-lisp/elpa/notmuch-0.37/notmuch-hello hides /usr/share/emacs/site-lisp/elpa-src/notmuch-0.37/notmuch-hello
/usr/share/emacs/site-lisp/elpa/notmuch-0.37/notmuch-show hides /usr/share/emacs/site-lisp/elpa-src/notmuch-0.37/notmuch-show
/usr/share/emacs/site-lisp/elpa/notmuch-0.37/notmuch-jump hides /usr/share/emacs/site-lisp/elpa-src/notmuch-0.37/notmuch-jump
/usr/share/emacs/site-lisp/elpa/notmuch-0.37/notmuch-crypto hides /usr/share/emacs/site-lisp/elpa-src/notmuch-0.37/notmuch-crypto
/usr/share/emacs/site-lisp/elpa/notmuch-0.37/notmuch-tag hides /usr/share/emacs/site-lisp/elpa-src/notmuch-0.37/notmuch-tag
/usr/share/emacs/site-lisp/elpa/notmuch-0.37/notmuch-draft hides /usr/share/emacs/site-lisp/elpa-src/notmuch-0.37/notmuch-draft
/usr/share/emacs/site-lisp/elpa/notmuch-0.37/notmuch-tree hides /usr/share/emacs/site-lisp/elpa-src/notmuch-0.37/notmuch-tree
/usr/share/emacs/site-lisp/elpa/notmuch-0.37/notmuch-query hides /usr/share/emacs/site-lisp/elpa-src/notmuch-0.37/notmuch-query
/usr/share/emacs/site-lisp/elpa/notmuch-0.37/notmuch-autoloads hides /usr/share/emacs/site-lisp/elpa-src/notmuch-0.37/notmuch-autoloads
/usr/share/emacs/site-lisp/elpa/notmuch-0.37/notmuch-message hides /usr/share/emacs/site-lisp/elpa-src/notmuch-0.37/notmuch-message
/usr/share/emacs/site-lisp/elpa/notmuch-0.37/notmuch-pkg hides /usr/share/emacs/site-lisp/elpa-src/notmuch-0.37/notmuch-pkg
/usr/share/emacs/site-lisp/elpa/notmuch-0.37/notmuch-parser hides /usr/share/emacs/site-lisp/elpa-src/notmuch-0.37/notmuch-parser
/usr/share/emacs/site-lisp/elpa/notmuch-0.37/notmuch-compat hides /usr/share/emacs/site-lisp/elpa-src/notmuch-0.37/notmuch-compat
/usr/share/emacs/site-lisp/elpa/notmuch-0.37/notmuch-address hides /usr/share/emacs/site-lisp/elpa-src/notmuch-0.37/notmuch-address
/usr/share/emacs/site-lisp/elpa/notmuch-0.37/notmuch-mua hides /usr/share/emacs/site-lisp/elpa-src/notmuch-0.37/notmuch-mua
/usr/share/emacs/site-lisp/elpa/notmuch-0.37/notmuch hides /usr/share/emacs/site-lisp/elpa-src/notmuch-0.37/notmuch
/usr/share/emacs/site-lisp/elpa/notmuch-0.37/coolj hides /usr/share/emacs/site-lisp/elpa-src/notmuch-0.37/coolj
/home/nathan/.config/emacs/elpa/jsonrpc-1.0.17/jsonrpc hides /usr/share/emacs/28.2/lisp/jsonrpc
/home/nathan/.config/emacs/elpa/project-0.9.8/project hides /usr/share/emacs/28.2/lisp/progmodes/project
/home/nathan/.config/emacs/elpa/xref-1.6.3/xref hides /usr/share/emacs/28.2/lisp/progmodes/xref
/home/nathan/.config/emacs/elpa/eldoc-1.14.0/eldoc hides /usr/share/emacs/28.2/lisp/emacs-lisp/eldoc

Features:
(shadow emacsbug sendmail qp mail-extr shr-color tramp-cache tramp-sh
tramp tramp-loaddefs trampver tramp-integration files-x tramp-compat
shell ls-lisp dired-aux dired-x tabify cl-print org-mouse macros
time-stamp bookmark epa-file shortdoc help-fns radix-tree view cal-china
lunar solar cal-dst cal-bahai cal-islam cal-hebrew cal-julian holidays
hol-loaddefs cal-move misearch multi-isearch mm-archive mule-util gnutls
network-stream url-http url-gw nsm url-cache url-auth term/xterm xterm
cus-edit cus-start cus-load emacs-lock company-oddmuse company-keywords
company-etags etags fileloop company-gtags company-dabbrev-code
company-dabbrev company-files company-capf company-cmake company-xcode
company-clang company-semantic company-eclim company-template
company-bbdb rng-nxml rng-valid rng-loc rng-uri rng-parse nxml-parse
rng-match rng-dt rng-util rng-pttrn nxml-ns nxml-mode nxml-outln
nxml-rap sgml-mode facemenu nxml-util nxml-enc xmltok skeleton xt-mouse
rcirc vc-git vc-dispatcher bbdb-anniv bbdb-com xclip web-mode disp-table
transmission let-alist color calc-bin calc-ext calc calc-loaddefs rect
calc-macs notmuch-indicator notmuch notmuch-tree notmuch-jump
notmuch-hello notmuch-show notmuch-print notmuch-crypto notmuch-mua
notmuch-message notmuch-draft notmuch-maildir-fcc notmuch-address
notmuch-company notmuch-parser notmuch-wash diff-mode coolj goto-addr
icalendar notmuch-tag notmuch-lib notmuch-version notmuch-compat hl-line
latex latex-flymake tex-ispell tex-style tex crm texmathp emms-mpris
emms-librefm-stream emms-librefm-scrobbler emms-playlist-limit emms-i18n
emms-history emms-score emms-stream-info emms-metaplaylist-mode
emms-bookmarks emms-cue emms-browser sort emms-volume
emms-volume-sndioctl emms-volume-mixerctl emms-volume-pulse
emms-volume-amixer emms-playlist-sort emms-last-played emms-player-xine
emms-player-mpd tq emms-lyrics emms-url emms-streams emms-show-all
emms-tag-editor emms-tag-tracktag emms-mark emms-cache
emms-info-exiftool emms-info-tinytag emms-info-metaflac
emms-info-opusinfo emms-info-ogginfo emms-info-mp3info
emms-playlist-mode emms-player-mpv emms-playing-time emms-player-mplayer
emms-source-playlist emms-source-file locate emms-info-native emms-info
emms-later-do bindat emms-player-vlc emms-player-simple
emms-mode-line-icon emms-mode-line emms-setup emms emms-compat eglot
external-completion jsonrpc xref flymake-proc flymake mwheel project ert
pp ewoc debug backtrace filenotify compile imenu company pcase bbdb
bbdb-site timezone finder-inf windmove savehist flyspell ispell
org-tempo tempo org-element avl-tree generator ol-eww eww xdg url-queue
thingatpt mm-url ol-rmail ol-mhe ol-irc ol-info ol-gnus nnselect
gnus-search eieio-opt speedbar ezimage dframe gnus-art mm-uu mml2015
mm-view mml-smime smime dig gnus-sum shr kinsoku svg dom gnus-group
gnus-undo gnus-start gnus-dbus dbus xml gnus-cloud nnimap nnmail
mail-source utf7 netrc nnoo parse-time gnus-spec gnus-int gnus-range
message rmc puny rfc822 mml mml-sec epa derived epg rfc6068 epg-config
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader gnus-win gnus nnheader gnus-util rmail rmail-loaddefs rfc2047
rfc2045 ietf-drums text-property-search mail-utils mm-util mail-prsvr
ol-docview doc-view jka-compr image-mode exif image dired dired-loaddefs
ol-bibtex ol-bbdb ol-w3m ol-doi org-link-doi org ob ob-tangle ob-ref
ob-lob ob-table ob-exp org-macro org-footnote org-src ob-comint
org-pcomplete pcomplete comint ansi-color ring org-list org-faces
org-entities noutline outline easy-mmode org-version ob-emacs-lisp
ob-core ob-eval org-table oc-basic bibtex iso8601 time-date ol org-keys
oc org-compat advice org-macs org-loaddefs format-spec find-func appt
diary-lib diary-loaddefs cal-menu calendar cal-loaddefs remember delsel
tango-theme comp comp-cstr warnings rx cl-extra help-mode linum repeat
recentf tree-widget wid-edit ibuf-macs ibuf-ext ibuffer ibuffer-loaddefs
em-smart esh-mode regexp-opt eshell esh-cmd esh-ext esh-opt esh-proc
esh-io esh-arg esh-module esh-groups esh-util edmacro kmacro autoinsert
tex-site info tool-bar package browse-url url url-proxy url-privacy
url-expand url-methods url-history url-cookie url-domsuf url-util
mailcap url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache json subr-x map url-vars seq
byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib iso-transl
tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode tabulated-list replace newcomment text-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
easymenu timer select mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice
button loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads dbusbind inotify lcms2
multi-tty make-network-process native-compile emacs)

Memory information:
((conses 16 1478916 139974)
 (symbols 48 42968 5)
 (strings 32 236066 12740)
 (string-bytes 1 7485375)
 (vectors 16 83024)
 (vector-slots 8 2125271 78308)
 (floats 8 1084 887)
 (intervals 56 62125 3870)
 (buffers 992 36))

-- 
Nathan DeGruchy
https://degruchy.org/
[email-masked]